Skip to main content
POST
Start device authorization

Response

Verification details for the RFC 8628 device flow. The optional JSON or form body is ignored; the authorization client is selected by the server.

device_code
string
required

Opaque device code to exchange at POST /v1/auth/device/token while waiting for the user to authorize.

expires_in
number
required

Lifetime of the device code and user code, in seconds.

interval
number
required

Minimum number of seconds to wait between token polling requests.

user_code
string
required

Code the user enters at verification_uri to authorize this device.

verification_uri
string
required

Browser URL where the user enters user_code and authorizes the device.

verification_uri_complete
string
required

Browser URL with user_code included, ready to open or encode as a QR code.

{key}
any